import executeStatement from './execute-statement';
import executeQuery from './execute-query';
import { validate } from '@resolve-js/eventstore-base';
import { SqliteAdapterConfigSchema } from './types';

const configure = (pool, config) => {
  var _config$databaseFile, _config$eventsTableNa, _config$snapshotsTabl, _config$secretsTableN, _config$subscribersTa;

  const escapeId = str => `"${String(str).replace(/(["])/gi, '$1$1')}"`;

  const escape = str => `'${String(str).replace(/(['])/gi, '$1$1')}'`;

  validate(SqliteAdapterConfigSchema, config);
  const props = {
    databaseFile: (_config$databaseFile = config.databaseFile) !== null && _config$databaseFile !== void 0 ? _config$databaseFile : ':memory:',
    eventsTableName: (_config$eventsTableNa = config.eventsTableName) !== null && _config$eventsTableNa !== void 0 ? _config$eventsTableNa : 'events',
    snapshotsTableName: (_config$snapshotsTabl = config.snapshotsTableName) !== null && _config$snapshotsTabl !== void 0 ? _config$snapshotsTabl : 'snapshots',
    secretsTableName: (_config$secretsTableN = config.secretsTableName) !== null && _config$secretsTableN !== void 0 ? _config$secretsTableN : 'secrets',
    subscribersTableName: (_config$subscribersTa = config.subscribersTableName) !== null && _config$subscribersTa !== void 0 ? _config$subscribersTa : 'subscribers',
    escape,
    escapeId,
    executeStatement: executeStatement.bind(null, pool),
    executeQuery: executeQuery.bind(null, pool),
    connecting: false
  };
  Object.assign(pool, props);
};

export default configure;
//# sourceMappingURL=configure.js.map