"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = _interopRequireDefault(require("@resolve-js/eventstore-base"));

var _beginIncrementalImport = _interopRequireDefault(require("./begin-incremental-import"));

var _commitIncrementalImport = _interopRequireDefault(require("./commit-incremental-import"));

var _ensureEventSubscriber = _interopRequireDefault(require("./ensure-event-subscriber"));

var _removeEventSubscriber = _interopRequireDefault(require("./remove-event-subscriber"));

var _getEventSubscribers = _interopRequireDefault(require("./get-event-subscribers"));

var _deleteSecret = _interopRequireDefault(require("./delete-secret"));

var _dispose = _interopRequireDefault(require("./dispose"));

var _dropSnapshot = _interopRequireDefault(require("./drop-snapshot"));

var _dropEvents = _interopRequireDefault(require("./drop-events"));

var _freeze = _interopRequireDefault(require("./freeze"));

var _getLatestEvent = _interopRequireDefault(require("./get-latest-event"));

var _getSecret = _interopRequireDefault(require("./get-secret"));

var _initEvents = _interopRequireDefault(require("./init-events"));

var _injectEvent = _interopRequireDefault(require("./inject-event"));

var _injectEvents = _interopRequireDefault(require("./inject-events"));

var _loadEventsByCursor = _interopRequireDefault(require("./load-events-by-cursor"));

var _loadEventsByTimestamp = _interopRequireDefault(require("./load-events-by-timestamp"));

var _loadSnapshot = _interopRequireDefault(require("./load-snapshot"));

var _pushIncrementalImport = _interopRequireDefault(require("./push-incremental-import"));

var _rollbackIncrementalImport = _interopRequireDefault(require("./rollback-incremental-import"));

var _saveEvent = _interopRequireDefault(require("./save-event"));

var _saveSnapshot = _interopRequireDefault(require("./save-snapshot"));

var _setSecret = _interopRequireDefault(require("./set-secret"));

var _shapeEvent = _interopRequireDefault(require("./shape-event"));

var _unfreeze = _interopRequireDefault(require("./unfreeze"));

var _loadSecrets = _interopRequireDefault(require("./load-secrets"));

var _injectSecret = _interopRequireDefault(require("./inject-secret"));

var _initSecrets = _interopRequireDefault(require("./init-secrets"));

var _dropSecrets = _interopRequireDefault(require("./drop-secrets"));

var _initFinal = _interopRequireDefault(require("./init-final"));

var _dropFinal = _interopRequireDefault(require("./drop-final"));

var _replicateEvents = _interopRequireDefault(require("./replicate-events"));

var _replicateSecrets = _interopRequireDefault(require("./replicate-secrets"));

var _setReplicationStatus = _interopRequireDefault(require("./set-replication-status"));

var _setReplicationPaused = _interopRequireDefault(require("./set-replication-paused"));

var _getReplicationState = _interopRequireDefault(require("./get-replication-state"));

var _resetReplication = _interopRequireDefault(require("./reset-replication"));

var _setReplicationLock = _interopRequireDefault(require("./set-replication-lock"));

var _getCursorUntilEventTypes = _interopRequireDefault(require("./get-cursor-until-event-types"));

var _describe = _interopRequireDefault(require("./describe"));

var _runtimeInfo = _interopRequireDefault(require("./runtime-info"));

var _configure = _interopRequireDefault(require("./configure"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createSqliteAdapter = options => {
  return (0, _eventstoreBase.default)({
    beginIncrementalImport: _beginIncrementalImport.default,
    commitIncrementalImport: _commitIncrementalImport.default,
    ensureEventSubscriber: _ensureEventSubscriber.default,
    removeEventSubscriber: _removeEventSubscriber.default,
    getEventSubscribers: _getEventSubscribers.default,
    deleteSecret: _deleteSecret.default,
    dispose: _dispose.default,
    dropSnapshot: _dropSnapshot.default,
    dropEvents: _dropEvents.default,
    dropSecrets: _dropSecrets.default,
    dropFinal: _dropFinal.default,
    freeze: _freeze.default,
    getLatestEvent: _getLatestEvent.default,
    getSecret: _getSecret.default,
    initEvents: _initEvents.default,
    initSecrets: _initSecrets.default,
    initFinal: _initFinal.default,
    injectEvent: _injectEvent.default,
    injectEvents: _injectEvents.default,
    loadEventsByCursor: _loadEventsByCursor.default,
    loadEventsByTimestamp: _loadEventsByTimestamp.default,
    loadSnapshot: _loadSnapshot.default,
    pushIncrementalImport: _pushIncrementalImport.default,
    rollbackIncrementalImport: _rollbackIncrementalImport.default,
    saveEvent: _saveEvent.default,
    saveSnapshot: _saveSnapshot.default,
    setSecret: _setSecret.default,
    shapeEvent: _shapeEvent.default,
    unfreeze: _unfreeze.default,
    loadSecrets: _loadSecrets.default,
    injectSecret: _injectSecret.default,
    replicateEvents: _replicateEvents.default,
    replicateSecrets: _replicateSecrets.default,
    setReplicationStatus: _setReplicationStatus.default,
    setReplicationPaused: _setReplicationPaused.default,
    getReplicationState: _getReplicationState.default,
    resetReplication: _resetReplication.default,
    setReplicationLock: _setReplicationLock.default,
    getCursorUntilEventTypes: _getCursorUntilEventTypes.default,
    describe: _describe.default,
    runtimeInfo: _runtimeInfo.default
  }, options, _configure.default);
};

var _default = createSqliteAdapter;
exports.default = _default;
//# sourceMappingURL=index.js.map